Subject: Re: [Ipoverib] IPoIB/DHCP

From: Vivek Kashyap <[email-masked]>
Date: Mon, 3 Feb 2003 17:09:09 -0800

Kanoj,

You are right - the GID by itself is not the MAC address. This brings up
the two options you have mentioned:
      - when  QPN is included in the client-identifier; the hardware type
is 32.
      - when  a value other than QPN is used in forming the
client-identifier; the hardware type is 0.

I am ok with making the change as suggested by you. Is it agreeable to all?

Vivek

--
Vivek Kashyap
Linux Technology Center, IBM
[email-masked]
[email-masked]
Ph: 503 578 3422 T/L: 775 3422

                      Kanoj Sarcar                                                                                                     
                      <Kanoj.Sarcar@sun        To:       "Larsen, Roy K" <[email-masked]>                                      
                      .com>                    cc:       [email-masked], Vivek Kashyap/Beaverton/IBM@IBMUS                          
                      Sent by:                 Subject:  Re: [Ipoverib] IPoIB/DHCP                                                     
                      ipoverib-admin@ie                                                                                                
                      tf.org                                                                                                           

                      02/03/2003 12:25                                                                                                 
                      PM                                                                                                               
                      Please respond to                                                                                                
                      Kanoj.Sarcar                                                                                                     

"Larsen, Roy K" wrote:
>
> Kanoj,
>
> I tend to agree.  The client-id issues was thrashed on the list and it
> basically devolved to what was stated in the last paragraph of 2.1
>
> "This document does not preclude the use of other 'client identifier'
type,
> such as fully qualified domain name(FQDN) or the EUI-64 value associated
> with the interface."
>

Roy,

> However, the QPN+GID *IS* the IPoIB MAC address so it technically fits
the

The client identifier format suggested in the document does not use the
QPN,
rather a "Unique-value(4 octets)"; thus the 20 bytes does not represent the
MAC address, thus the type should not be 32, but should be 0.

I do agree that if an implementation does use the QPN as the 4 octets, it
should set the type to 32.

I think something like this would be more appropriate:

    Code  Len   Type  Client-Identifier
   +-----+-----+-----+-----+-----+-----+-----+-------------------....----+
   |  61 | 21  |  0  | Unique-value(4 octets) |   GID (16 octets)
|
   +-----+-----+-----+-----+-----+-----+-----+-------------------....----+

"If an implementation uses the QPN of the interface as the 4 octet
Unique-value,
alongwith the 16 octet GID to create a 20 octet client-identifier, then it
should set the Type value to 32 [ARPPARAM]"

Thanks.

Kanoj

> bill.  However, for the reasons you state, we do not plan on using in our
> implementation.
>
> Roy
>
> -----Original Message-----
> From: Kanoj Sarcar [mailto:[email-masked]]
> Sent: Friday, January 31, 2003 9:07 PM
> To: [email-masked]
> Cc: [email-masked]
> Subject: [Ipoverib] IPoIB/DHCP
>
> Hi,
>
> I have an issue with section 2.1 of
> draft-ietf-ipoib-dhcp-over-infiniband-04.txt.
> I think it should be reworded to allow the following two formats for the
> client-id:
>
>      Code  Len   Type  Client-Identifier
>
+-----+-----+-----+-----+-----+-----+-----+-------------------....----+
>    |  61 | 21  |  0  | Unique-value(4 octets) |   GID (16 octets)
|
+-----+-----+-----+-----+-----+-----+-----+-------------------....----+
>
>     Code  Len   Type  Client-Identifier
>
+-----+-----+-----+-----+-----+-----+-----+-------------------....----+
>    |  61 | 21  |  32 | QPN  (4 octets) |   GID (16 octets)          |
>
+-----+-----+-----+-----+-----+-----+-----+-------------------....----+
>
> Note that if the 20 byte client identifier does not represent the MAC
> address
> of the interface, the type should be 0. The type can be 32 only if the
mac
> address is being used as the identifier.
>
> In fact, I doubt the neccesity of specifying the second format, since it
> represents
> an unstable address (QPN), which is likely to change whenever a port is
> rebooted.
>
> For the rationale, please see section 9.14 of RFC 2132:
> "A hardware type of 0 (zero) should be used when the value field
> contains an identifier other than a hardware address (e.g. a fully
> qualified domain name)."
>
> Thanks.
>
> Kanoj
> _______________________________________________
> IPoverIB mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/ipoverib
_______________________________________________
IPoverIB mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ipoverib

_______________________________________________
IPoverIB mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ipoverib